%define Werror_cflags %nil

%define api 3.0
%define major 0
%define libname %mklibname gnome-media-profiles %api %major

%define develname %mklibname -d gnome-media-profiles

%define schemas gnome-media-profiles

Name:           libgnome-media-profiles
Version:        3.0.0
Release:        %mkrel 2
Summary:        GNOME Media Profiles library
Group:          Graphical desktop/GNOME 
License:        LGPLv2+
URL:            http://git.gnome.org/browse/libgnome-media-profiles
Source0:        http://download.gnome.org/sources/%{name}/3.0/%{name}-%{version}.tar.xz
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: GConf2-devel glib2-devel
BuildRequires: %{_lib}gladeui2-devel
BuildRequires: %{_lib}gstreamer-plugins-base0.10-devel
BuildRequires: intltool automake autoconf libtool
BuildRequires: gnome-doc-utils
Requires(post): GConf2
Requires(preun): GConf2
Requires: 	%{libname}
Obsoletes:	gnome-media < %version
Provides:	gnome-media = %version-%release


%description
The GNOME Media Profiles library provides prebuilt GStreamer pipelines
for applications aiming to support different sound formats.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Library for the %name
Group:          System/Libraries
Obsoletes:	%{_lib}gnome-media-profiles0 < %{version}-%{release}


%description -n %{libname}
Library for the %name


#--------------------------------------------------------------------

%package        -n %develname
Summary:        Development files for %{name}
Group:          Development/GNOME and GTK+ 
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	gnome-media-devel < %version
Provides:	gnome-media-devel = %version-%release


%description    -n %develname
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.


#--------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x --disable-static --disable-schemas-install --disable-scrollkeeper
%make

%install
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang libgnome-media-profiles
%find_lang gnome-audio-profiles --with-gnome

%files -f libgnome-media-profiles.lang -f gnome-audio-profiles.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/gnome-audio-profiles-properties
%{_sysconfdir}/gconf/schemas/gnome-media-profiles.schemas
%{_datadir}/libgnome-media-profiles
%{_datadir}/omf/gnome-audio-profiles/

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/libgnome-media-profiles-%{api}.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgnome-media-profiles-%{api}.pc


%changelog
* Mon Sep 09 2013 billybot <billybot> 3.0.0-2pclos2013
- try to fix update issue on 32bit 

* Sat Sep 07 2013 Ken <lxgator at gmail.com> 3.0.0-1pclos2013
- initial pkg
